Get project
Get a project by id
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
projectId
The project id
Response
ok
description
The description of the project.
id
name
clusterId
The id of the cluster.
parentId
department parent uuid
enforceRunaiScheduler
a flag to enforce that all pods in this namespace will be scheduled with runai-scheduler. Supported for cluster v2.21+
status
totalResources
createdAt
updatedAt
effective
resources
Resources assigned to this Organization per Node Pool
schedulingRules
Scheduling rules that define time limits and idle GPU timeouts for workloads in this org-unit. These rules help manage resource utilization by automatically terminating or preempting idle or long-running workloads.
defaultNodePools
An ordered list of node pools that defines the default scheduling preference for workloads in this project. The Scheduler will attempt to schedule workloads on node pools in this order. This setting is enforced if no node pool list is defined in the workload policy.
nodeTypes
Deprecated: use a workload policy node selector to target node types instead. Node type configurations for different workload types (training, workspace). Specifies which node types are allowed for each workload type. Enforced when no node type is configured in the workload policy.
requestedNamespace
the project's namespace only if requested
createdBy
updatedBy
parent
Department or project parent
overtimeData
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error